{% load transport_utils l10n %}

<div class="card mb-3 app-card">
  {% with client=transp.client %}
  <div class="card-header {{ transp.get_statut_display }}">
      {{ transp.heure_depart|date:'l d.m.Y - H:i' }} pour <b>{{ client }}</b> <small>({{ client.date_naissance.year }})</small><br>
      <div class="text-end"><small>{{ client.tel_1|as_tel }} {% if client.tel_2 %}<br>{{ client.tel_2|as_tel }}{% endif %}</small></div>
  </div>
  {% if transp.statut == ANNULE %}
  <div class="alert alert-danger text-center fw-bold">CE TRANSPORT A ÉTÉ ANNULÉ</div>
  {% endif %}
  {% if transp.client.remarques_ext or transp.client.handicaps or transp.client.code_entree %}
  <div class="p-1 note d-flex">
      {% if transp.client.remarques_ext or transp.client.code_entree %}
        <div>{{ transp.client.remarques_ext }} {% if transp.client.code_entree %}- <i>code entrée: {{ transp.client.code_entree }}</i>{% endif %}
        </div>
      {% endif %}
      {% if transp.client.handicaps %}
      <div class="ps-2">
          {% for handi in transp.client.handicaps_verbose %}<div class="text-nowrap">☑ {{ handi }}</div>{% endfor %}
      </div>
      {% endif %}
  </div>
  {% endif %}
  {% endwith %}

  <ul class="list-group list-group-horizontal list-group-flush">
      <li class="list-group-item">
          <span class="text-nowrap">Dép. {{ transp.heure_depart|date:'H:i' }}</span><br>
          <a class="noprint" href="{{ transp.adresse_depart.gmap_link }}" target="blank">
            <img class="icon" src="{% static 'img/map-pointer.svg' %}">
          </a>
      </li>
      <li class="list-group-item">
        {% if transp.adresse_depart.nom %}{{ transp.adresse_depart.nom }}<br>{% endif %}
        {{ transp.adresse_depart.rue }}<br>{{ transp.adresse_depart.npa }} {{ transp.adresse_depart.localite }}
      </li>
  </ul>

  {% for trajet in transp.trajets_tries %}
  {% if trajet.destination_princ %}
  <ul class="list-group list-group-horizontal list-group-flush">
      <li class="list-group-item">
          <span class="text-nowrap">Rdv {{ transp.heure_rdv|date:'H:i' }}</span><br>
          <a href="{{ transp.destination.gmap_link }}" target="blank">
            <img class="icon" src="{% static 'img/map-pointer.svg' %}">
          </a>
      </li>
      <li class="list-group-item">
          {% if transp.destination.nom %}{{ transp.destination.nom }}<br>{% endif %}
          {{ transp.destination.rue }}<br>{{ transp.destination.npa }} {{ transp.destination.localite }}
          {% if transp.destination.tel %}<br>{{ transp.destination.tel|as_tel }}{% endif %}
      </li>
  </ul>
      {% if transp.retour %}
        <div class="p-1 text-center note">
          Attente prévue: {{ transp.duree_rdv|format_duree }}
        </div>
      {% endif %}
  {% elif not forloop.first and not forloop.last %}
      <ul class="list-group list-group-horizontal list-group-flush">
          <li class="list-group-item">En passant par</li>
          <li class="list-group-item">
              {% if trajet.destination.nom %}{{ trajet.destination.nom }}<br>{% endif %}
              {{ trajet.destination.rue }}<br>{{ trajet.destination.npa }} {{ trajet.destination.localite }}
          </li>
      </ul>
  {% endif %}
  {% endfor %}

  {% if transp.retour %}
    <div class="p-1 text-center note">
      Retour vers {{ transp.heure_depart_retour|date:'H:i' }}
    </div>
  {% elif transp.vers_domicile %}
    <div class="p-1 text-center note">RETOUR À DOMICILE</div>
  {% else %}
    <div class="p-1 text-center note">ALLER SIMPLE</div>
  {% endif %}
  {% if transp.remarques %}
    <div class="p-1 text-center note fw-bold">{{ transp.remarques }}</div>
  {% endif %}
  {% if show_rapport %}
    {% if transp.km is None %}
        <div class="alert alert-danger">Pas encore rapporté</div>
    {% else %}
      <div class="app-rapport row">
        <div class="col">
        <div class="row">
            <div class="col-4 ps-3 pe-0">Km:</div>
            <div class="col-8">{{ transp.km }}</div>
        </div>
        <div class="row">
            <div class="col-4 ps-3 pe-0">Durée:</div>
            <div class="col-8">{{ transp.duree_eff|strip_seconds|default_if_none:'-' }}</div>
        </div>
        {% if transp.temps_attente %}
        <div class="row">
            <div class="col-4 ps-3 pe-0">Attente:</div>
            <div class="col-8">{{ transp.temps_attente|strip_seconds }}</div>
        </div>
        {% endif %}
        {% if transp.rapport_chauffeur %}
        <div class="row">
            <div class="col-4 ps-3 pe-0">Remarque:</div>
            <div class="col-8">{{ transp.rapport_chauffeur }}</div>
        </div>
        {% endif %}
        {% for frais in transp.frais.all %}
        <div class="row">
            <div class="col-4 ps-3 pe-0">{{ frais.description }}</div>
            <div class="col-8">CHF {{ frais.cout|unlocalize }}</div>
        </div>
        {% endfor %}
        </div>
        {% if transp|can_edit_rapport:benev %}
        <div class="col-1 pe-0 ps-0">
            <a class="btn btn-light w-100 h-100 pe-1 ps-1"
               href="{% url 'benevole-rapport' transp.pk %}?next={% url 'benevole-archives' %}">
                <img src="{% static 'img/edit.svg' %}" class="icon h-100" title="Modifier le rapport">
            </a>
        </div>
        {% endif %}
      </div>
    {% endif %}
  {% endif %}
</div>
